低危 OpenSSL 1.0.0/1.0.1 SSL Mode Release Buffers ssl3_read_bytes 拒绝服务漏洞

CVE编号

CVE-2010-5298

利用情况

暂无

补丁情况

官方补丁

披露时间

2014-04-15
漏洞描述
OpenSSL是一种开放源码的SSL实现,用来实现网络通信的高强度加密,现在被广泛地用于各种网络应用程序中。

OpenSSL 'ssl3_release_read_buffer()'函数存在内存破坏漏洞。攻击者可以利用漏洞破坏内存,在使用受影响库的应用上下文中执行任意代码。
解决建议
用户可联系供应商获得补丁信息:
http://www.openssl.org/
参考链接
http://advisories.mageia.org/MGASA-2014-0187.html
http://ftp.openbsd.org/pub/OpenBSD/patches/5.5/common/004_openssl.patch.sig
http://kb.juniper.net/InfoCenter/index?page=content&id=JSA10629
http://kb.juniper.net/InfoCenter/index?page=content&id=KB29195
http://lists.fedoraproject.org/pipermail/package-announce/2014-August/136470.html
http://lists.fedoraproject.org/pipermail/package-announce/2014-August/136473.html
http://lists.opensuse.org/opensuse-security-announce/2015-04/msg00016.html
http://marc.info/?l=bugtraq&m=140389274407904&w=2
http://marc.info/?l=bugtraq&m=140389355508263&w=2
http://marc.info/?l=bugtraq&m=140431828824371&w=2
http://marc.info/?l=bugtraq&m=140448122410568&w=2
http://marc.info/?l=bugtraq&m=140544599631400&w=2
http://marc.info/?l=bugtraq&m=140621259019789&w=2
http://marc.info/?l=bugtraq&m=140752315422991&w=2
http://marc.info/?l=bugtraq&m=140904544427729&w=2
http://marc.info/?l=bugtraq&m=141658880509699&w=2
http://openwall.com/lists/oss-security/2014/04/13/1
http://seclists.org/fulldisclosure/2014/Dec/23
http://secunia.com/advisories/58337
http://secunia.com/advisories/58713
http://secunia.com/advisories/58939
http://secunia.com/advisories/58977
http://secunia.com/advisories/59162
http://secunia.com/advisories/59287
http://secunia.com/advisories/59300
http://secunia.com/advisories/59301
http://secunia.com/advisories/59342
http://secunia.com/advisories/59413
http://secunia.com/advisories/59437
http://secunia.com/advisories/59438
http://secunia.com/advisories/59440
http://secunia.com/advisories/59450
http://secunia.com/advisories/59490
http://secunia.com/advisories/59655
http://secunia.com/advisories/59666
http://secunia.com/advisories/59669
http://secunia.com/advisories/59721
http://security.gentoo.org/glsa/glsa-201407-05.xml
http://support.citrix.com/article/CTX140876
http://svnweb.freebsd.org/ports/head/security/openssl/files/patch-ssl-s3_pkt....
http://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa...
http://www-01.ibm.com/support/docview.wss?uid=swg21673137
http://www-01.ibm.com/support/docview.wss?uid=swg21676035
http://www-01.ibm.com/support/docview.wss?uid=swg21676062
http://www-01.ibm.com/support/docview.wss?uid=swg21676419
http://www-01.ibm.com/support/docview.wss?uid=swg21676529
http://www-01.ibm.com/support/docview.wss?uid=swg21676655
http://www-01.ibm.com/support/docview.wss?uid=swg21676879
http://www-01.ibm.com/support/docview.wss?uid=swg21676889
http://www-01.ibm.com/support/docview.wss?uid=swg21677527
http://www-01.ibm.com/support/docview.wss?uid=swg21677695
http://www-01.ibm.com/support/docview.wss?uid=swg21677828
http://www-01.ibm.com/support/docview.wss?uid=swg21677836
http://www-01.ibm.com/support/docview.wss?uid=swg21678167
http://www-01.ibm.com/support/docview.wss?uid=swg21683332
http://www-947.ibm.com/support/entry/portal/docdisplay?lndocid=MIGR-5095754
http://www-947.ibm.com/support/entry/portal/docdisplay?lndocid=MIGR-5095755
http://www-947.ibm.com/support/entry/portal/docdisplay?lndocid=MIGR-5095756
http://www-947.ibm.com/support/entry/portal/docdisplay?lndocid=MIGR-5095757
http://www.blackberry.com/btsc/KB36051
http://www.fortiguard.com/advisory/FG-IR-14-018/
http://www.huawei.com/en/security/psirt/security-bulletins/security-advisorie...
http://www.ibm.com/support/docview.wss?uid=swg21676356
http://www.ibm.com/support/docview.wss?uid=swg24037783
http://www.mandriva.com/security/advisories?name=MDVSA-2014:090
http://www.mandriva.com/security/advisories?name=MDVSA-2015:062
http://www.openbsd.org/errata55.html#004_openssl
http://www.openssl.org/news/secadv_20140605.txt
http://www.oracle.com/technetwork/topics/security/cpujan2015-1972971.html
http://www.oracle.com/technetwork/topics/security/cpujul2014-1972956.html
http://www.oracle.com/technetwork/topics/security/cpuoct2014-1972960.html
http://www.securityfocus.com/archive/1/534161/100/0/threaded
http://www.securityfocus.com/bid/66801
http://www.tedunangst.com/flak/post/analysis-of-openssl-freelist-reuse
http://www.vmware.com/security/advisories/VMSA-2014-0006.html
http://www.vmware.com/security/advisories/VMSA-2014-0012.html
https://h20566.www2.hpe.com/portal/site/hpsc/public/kb/docDisplay?docId=emr_n...
https://kb.bluecoat.com/index?page=content&id=SA80
https://kc.mcafee.com/corporate/index?page=content&id=SB10075
https://rt.openssl.org/Ticket/Display.html?id=2167&user=guest&pass=guest
https://rt.openssl.org/Ticket/Display.html?id=3265&user=guest&pass=guest
https://www.novell.com/support/kb/doc.php?id=7015271
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 openssl openssl * Up to
(including)
1.0.1g
运行在以下环境
应用 openssl openssl 0.9.1c -
运行在以下环境
应用 openssl openssl 0.9.2b -
运行在以下环境
应用 openssl openssl 0.9.3 -
运行在以下环境
应用 openssl openssl 0.9.3a -
运行在以下环境
应用 openssl openssl 0.9.4 -
运行在以下环境
应用 openssl openssl 0.9.5 -
运行在以下环境
应用 openssl openssl 0.9.5a -
运行在以下环境
应用 openssl openssl 0.9.6 -
运行在以下环境
应用 openssl openssl 0.9.6a -
运行在以下环境
应用 openssl openssl 0.9.6b -
运行在以下环境
应用 openssl openssl 0.9.6c -
运行在以下环境
应用 openssl openssl 0.9.6d -
运行在以下环境
应用 openssl openssl 0.9.6e -
运行在以下环境
应用 openssl openssl 0.9.6f -
运行在以下环境
应用 openssl openssl 0.9.6g -
运行在以下环境
应用 openssl openssl 0.9.6h -
运行在以下环境
应用 openssl openssl 0.9.6i -
运行在以下环境
应用 openssl openssl 0.9.6j -
运行在以下环境
应用 openssl openssl 0.9.6k -
运行在以下环境
应用 openssl openssl 0.9.6l -
运行在以下环境
应用 openssl openssl 0.9.6m -
运行在以下环境
应用 openssl openssl 0.9.7 -
运行在以下环境
应用 openssl openssl 0.9.7a -
运行在以下环境
应用 openssl openssl 0.9.7b -
运行在以下环境
应用 openssl openssl 0.9.7c -
运行在以下环境
应用 openssl openssl 0.9.7d -
运行在以下环境
应用 openssl openssl 0.9.7e -
运行在以下环境
应用 openssl openssl 0.9.7f -
运行在以下环境
应用 openssl openssl 0.9.7g -
运行在以下环境
应用 openssl openssl 0.9.7h -
运行在以下环境
应用 openssl openssl 0.9.7i -
运行在以下环境
应用 openssl openssl 0.9.7j -
运行在以下环境
应用 openssl openssl 0.9.7k -
运行在以下环境
应用 openssl openssl 0.9.7l -
运行在以下环境
应用 openssl openssl 0.9.7m -
运行在以下环境
应用 openssl openssl 0.9.8 -
运行在以下环境
应用 openssl openssl 0.9.8a -
运行在以下环境
应用 openssl openssl 0.9.8b -
运行在以下环境
应用 openssl openssl 0.9.8c -
运行在以下环境
应用 openssl openssl 0.9.8d -
运行在以下环境
应用 openssl openssl 0.9.8e -
运行在以下环境
应用 openssl openssl 0.9.8f -
运行在以下环境
应用 openssl openssl 0.9.8g -
运行在以下环境
应用 openssl openssl 0.9.8h -
运行在以下环境
应用 openssl openssl 0.9.8i -
运行在以下环境
应用 openssl openssl 0.9.8j -
运行在以下环境
应用 openssl openssl 0.9.8k -
运行在以下环境
应用 openssl openssl 0.9.8l -
运行在以下环境
应用 openssl openssl 0.9.8m -
运行在以下环境
应用 openssl openssl 0.9.8n -
运行在以下环境
应用 openssl openssl 0.9.8o -
运行在以下环境
应用 openssl openssl 0.9.8p -
运行在以下环境
应用 openssl openssl 0.9.8q -
运行在以下环境
应用 openssl openssl 0.9.8r -
运行在以下环境
应用 openssl openssl 0.9.8s -
运行在以下环境
应用 openssl openssl 0.9.8t -
运行在以下环境
应用 openssl openssl 0.9.8u -
运行在以下环境
应用 openssl openssl 0.9.8v -
运行在以下环境
应用 openssl openssl 0.9.8w -
运行在以下环境
应用 openssl openssl 0.9.8x -
运行在以下环境
应用 openssl openssl 0.9.8y -
运行在以下环境
应用 openssl openssl 1.0.0 -
运行在以下环境
应用 openssl openssl 1.0.0a -
运行在以下环境
应用 openssl openssl 1.0.0b -
运行在以下环境
应用 openssl openssl 1.0.0c -
运行在以下环境
应用 openssl openssl 1.0.0d -
运行在以下环境
应用 openssl openssl 1.0.0e -
运行在以下环境
应用 openssl openssl 1.0.0f -
运行在以下环境
应用 openssl openssl 1.0.0g -
运行在以下环境
应用 openssl openssl 1.0.0h -
运行在以下环境
应用 openssl openssl 1.0.0i -
运行在以下环境
应用 openssl openssl 1.0.0j -
运行在以下环境
应用 openssl openssl 1.0.0k -
运行在以下环境
应用 openssl openssl 1.0.0l -
运行在以下环境
应用 openssl openssl 1.0.1 -
运行在以下环境
应用 openssl openssl 1.0.1a -
运行在以下环境
应用 openssl openssl 1.0.1b -
运行在以下环境
应用 openssl openssl 1.0.1c -
运行在以下环境
应用 openssl openssl 1.0.1d -
运行在以下环境
应用 openssl openssl 1.0.1e -
运行在以下环境
应用 openssl openssl 1.0.1f -
运行在以下环境
系统 redhat_6 openssl * Up to
(excluding)
0:1.0.1e-16.el6_5.14
运行在以下环境
系统 redhat_7 openssl * Up to
(excluding)
1:1.0.1e-34.el7_0.3
运行在以下环境
系统 suse_12 libmysqlclient18 * Up to
(excluding)
10.0.21-1
运行在以下环境
系统 ubuntu_12.04_lts openssl * Up to
(excluding)
1.0.1-4ubuntu5.13
运行在以下环境
系统 ubuntu_14.04_lts openssl * Up to
(excluding)
1.0.1f-1ubuntu2.1
阿里云评分
2.9
  • 攻击路径
    远程
  • 攻击复杂度
    困难
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    传输被破坏
  • 服务器危害
    无影响
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-362 使用共享资源的并发执行不恰当同步问题(竞争条件)
阿里云安全产品覆盖情况